name: Auto Pull

on: [push]
#  push:
#    branches:
#      - 'main'

jobs:
  deploy:
    runs-on: docker
    steps:
     # - run: apt update && apt install -y openssh-client git hugo rsync
      - name: SSH Deploy
        #run: apt update && apt install -y openssh-client git hugo rsync
        uses: https://github.com/appleboy/ssh-action@v1
        #
        with:
          host: ${{ secrets.HOST_ADDRESS }}
          username: forgejo #$ {{ secrets.SSH_USER }} #
          key: ${{ secrets.SSH_PRIVATE_KEY }}
          script: |
            ls
            cd Homepage
            git pull
            hugo && rsync -Oavz --no-p --delete public/ /var/www/melm.xyz
